[installation +updates of packages]pb with YUM

Daniel Moyne dmoyne at tiscali.fr
Sat Jan 29 12:41:39 UTC 2005


Le vendredi 28 Janvier 2005 17:13, Paul Howarth a écrit :
> Daniel Moyne wrote:
> >>> My LILO does not accept this entry :
> >>> other=/dev/hdb1
> >>>         label=grub
> >>>
> >>>  There should be a trick to fall back into GRUB from LILO!
> >>
> >>What does your lilo say when you try to use this entry? Does it fail when
> >>you  run the lilo command or when you try to boot using this entry?
> >
> > If I run lilo after adding this entry I get the following error message :
> > [root at azun dmoyne]# lilo
> > Added linux
> > Added 2.6.3-devfs
> > Added 2.4.25-devfs
> > Added 2.6.8.1-udev *
> > Fatal: First sector of /dev/hdb1 doesn't have a valid boot signature
>
> I think that probably means that grub is not installed properly on
> /dev/hdb1. Have you run "grub-install /dev/hdb1" from your FC3
> installation?
Paul,

a) when executing in root mode :
grub-install /dev/hdb1
I get the error message unknown command 'grub-install' ; maybe I need a grub 
package ! ; then where to get it and how to install it with rpm command.

b) I wanted to install synaptics ; then I downloaded synaptics-0.14.0-1 and 
tried this :
[root at azun ~]# rpm -i --test '/home/dmoyne/synaptics-0.14.0-1.i386.rpm'
        le fichier /usr/X11R6/lib/modules/input/synaptics_drv.o de 
l'installatio
n de synaptics-0.14.0-1 entre en conflit avec le fichier du paquetage 
synaptics-
0.13.5-5
        le fichier /usr/bin/synclient de l'installation de synaptics-0.14.0-1 
entre en conflit avec le fichier du paquetage synaptics-0.13.5-5
        le fichier /usr/bin/syndaemon de l'installation de synaptics-0.14.0-1 
entre en conflit avec le fichier du paquetage synaptics-0.13.5-5
        le fichier /usr/share/man/man1/synclient.1.gz de l'installation de 
synaptics-0.14.0-1 entre en conflit avec le fichier du paquetage 
synaptics-0.13.5-5
        le fichier /usr/share/man/man1/syndaemon.1.gz de l'installation de 
synaptics-0.14.0-1 entre en conflit avec le fichier du paquetage 
synaptics-0.13.5-5

So it means synaptics is already installed with another version 0.13.5-5 but 
if I do :
[root at azun ~]# synaptics
-bash: synaptics: command not found

I do not understand : if synaptics (graphical application to handle packages) 
is already installed how to run it !
Daniel
-- 
Daniel Moyne (Nulix)----------------------------------------------------------
Distribution : Mandrake 10.0           \\|//
kernel 2.4                            / --- \
KDE 3.2                              (' o-o ')
------------------------------------oOO-(_)-OOo-------------------------------




More information about the users mailing list